<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Clgpssjbean" type="cn.vp.XXX.model.ClgpssjBean"/> -->	
	<typeAlias alias="Clgpssj" type="cn.im.che.ClgpssjBean"/>
	
	<sql id="condition_Clgpssj">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKEzzxh'>
			(zzxh like concat('%',#LIKEzzxh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zzxh'>
			(zzxh = #zzxh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgpsbh'>
			(gpsbh like concat('%',#LIKEgpsbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gpsbh'>
			(gpsbh = #gpsbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsbbh'>
			(sbbh like concat('%',#LIKEsbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sbbh'>
			(sbbh = #sbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtdlx'>
			(tdlx like concat('%',#LIKEtdlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tdlx'>
			(tdlx = #tdlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtdbh'>
			(tdbh like concat('%',#LIKEtdbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tdbh'>
			(tdbh = #tdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwbbh'>
			(wbbh like concat('%',#LIKEwbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wbbh'>
			(wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjssj'>
			(jssj like concat('%',#LIKEjssj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jssj'>
			(jssj = #jssj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgjsj'>
			(gjsj like concat('%',#LIKEgjsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gjsj'>
			(gjsj = #gjsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgjsjsz'>
			(gjsjsz like concat('%',#LIKEgjsjsz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gjsjsz'>
			(gjsjsz = #gjsjsz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgjms'>
			(gjms like concat('%',#LIKEgjms# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gjms'>
			(gjms = #gjms# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsd'>
			(sd like concat('%',#LIKEsd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sd'>
			(sd = #sd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEfxbh'>
			(fxbh like concat('%',#LIKEfxbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='fxbh'>
			(fxbh = #fxbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsyyl'>
			(syyl like concat('%',#LIKEsyyl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='syyl'>
			(syyl = #syyl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhb'>
			(hb like concat('%',#LIKEhb# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hb'>
			(hb = #hb# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgpslx'>
			(gpslx like concat('%',#LIKEgpslx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gpslx'>
			(gpslx = #gpslx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzx'>
			(tpwzx like concat('%',#LIKEtpwzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzx'>
			(tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEtpwzy'>
			(tpwzy like concat('%',#LIKEtpwzy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='tpwzy'>
			(tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhphm'>
			(hphm like concat('%',#LIKEhphm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hphm'>
			(hphm = #hphm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhpzl'>
			(hpzl like concat('%',#LIKEhpzl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hpzl'>
			(hpzl = #hpzl# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- query objects by page-->
	<select id="query_Clgpssj" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			zzxh,gpsbh,sbbh,tdlx,tdbh,wbbh,jssj,gjsj,gjsjsz,gjms,sd,fxbh,syyl,jd,wd,hb,gpslx,tpwzx,tpwzy,hphm,hpzl
		from clgpssj 
		<include refid="condition_Clgpssj"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Clgpssj" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from clgpssj 
		<include refid="condition_Clgpssj"/>			
	</select>
	
</sqlMap>











